Skip to main content
GET
/
api
/
v1
/
llm
/
prompts
Typescript (SDK)
import { SDK } from "@meetkai/mka1";

const sdk = new SDK({
  bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await sdk.llm.prompts.list({});

  console.log(result);
}

run();
{
  "object": "list",
  "data": [
    {
      "id": "prompt_aa87e2b1112a455b8deabed784372198",
      "object": "prompt",
      "name": "Customer Support Classifier",
      "description": "Classifies incoming customer messages by intent",
      "active_version": 1,
      "latest_version": 1,
      "metadata": {},
      "created_at": "2026-03-15T10:30:00Z",
      "updated_at": "2026-03-15T10:30:00Z"
    }
  ],
  "has_more": false,
  "first_id": "prompt_aa87e2b1112a455b8deabed784372198",
  "last_id": "prompt_aa87e2b1112a455b8deabed784372198"
}

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Query Parameters

limit
integer
default:20

Maximum number of prompts to return

Required range: 1 <= x <= 100
after
string

Cursor for pagination — prompt ID to start after

order
enum<string>
default:desc

Sort order by creation date

Available options:
asc,
desc

Response

200 - application/json

OK

object
any
required

Object type

data
object[]
required

Array of prompt objects

has_more
boolean
required

Whether there are more results available

first_id
string

ID of the first item in the list

last_id
string

ID of the last item in the list